Host Local Account Manager Create User

Host Local Account Manager Create User
Creates a local user account using the specified parameters.

Creates a local user account using the specified parameters.

As of vSphere API 9.1, it is allowed to create a user without a password by not setting the corresponding property of the input argument.

Required privileges: Host.Local.ManageUserGroups

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostLocalAccountManager/{moId}/CreateUser
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostLocalAccountManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
CreateUserRequestType of type(s) application/json
Required

Show optional properties

{
    "user": {}
}
{
    "user": {
        "_typeName": "string",
        "id": "string",
        "password": "string",
        "description": "string"
    }
}
user
Required

Specification of user being created.

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

500

AlreadyExists: if the specified local user account already exists.

InvalidArgument: if the user name or password has an invalid format.

Returns AlreadyExists of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ],
    "name": "string"
}
string
name
Optional

name


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"user":"{}"}' https://{api_host}/sdk/vim25/{release}/HostLocalAccountManager/{moId}/CreateUser